msgpack::adaptor::pack< msgpack::object > Struct Template Reference

`#include <object.hpp>`

## Public Member Functions

template<typename Stream >
msgpack::packer< Stream > & | operator() (msgpack::packer< Stream > &o, msgpack::object const &v) const

## Member Function Documentation

## operator()()

template<typename Stream >

msgpack::packer<Stream>& msgpack::adaptor::pack< msgpack::object >::operator() | ( | msgpack< msgpack::object >::packer< Stream > & | o,
|  | msgpack< msgpack::object >::object const & | v
| ) |  | const

inline

References msgpack::type::ARRAY, msgpack::object::union_type::array, msgpack::type::BIN, msgpack::object::union_type::bin, msgpack::type::BOOLEAN, msgpack::object::union_type::boolean, msgpack::object_ext::data(), msgpack::type::EXT, msgpack::object::union_type::ext, msgpack::object::union_type::f64, msgpack::type::FLOAT32, msgpack::type::FLOAT64, msgpack::object::union_type::i64, msgpack::type::MAP, msgpack::object::union_type::map, msgpack::type::NEGATIVE_INTEGER, msgpack::type::NIL, msgpack::operator<<(), msgpack::packer< Stream >::pack_array(), msgpack::packer< Stream >::pack_bin(), msgpack::packer< Stream >::pack_bin_body(), msgpack::packer< Stream >::pack_double(), msgpack::packer< Stream >::pack_ext(), msgpack::packer< Stream >::pack_ext_body(), msgpack::packer< Stream >::pack_false(), msgpack::packer< Stream >::pack_float(), msgpack::packer< Stream >::pack_int64(), msgpack::packer< Stream >::pack_map(), msgpack::packer< Stream >::pack_nil(), msgpack::packer< Stream >::pack_str(), msgpack::packer< Stream >::pack_str_body(), msgpack::packer< Stream >::pack_true(), msgpack::packer< Stream >::pack_uint64(), msgpack::type::POSITIVE_INTEGER, msgpack::object_array::ptr, msgpack::object_map::ptr, msgpack::object_str::ptr, msgpack::object_bin::ptr, msgpack::object_array::size, msgpack::object_map::size, msgpack::object_str::size, msgpack::object_bin::size, msgpack::object_ext::size, msgpack::type::STR, msgpack::object::union_type::str, msgpack::object_ext::type(), msgpack::object::type, msgpack::object::union_type::u64, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/object.hpp